#!/bin/bash

if test "$1" = "powersave"; then
	sed -i '/CPU_SCALING_GOVERNOR_ON_BAT/ cCPU_SCALING_GOVERNOR_ON_BAT=powersave' ~/.config/slimbookbattery/custom/equilibrado
elif test "$1" = "performance"; then
	sed -i '/CPU_SCALING_GOVERNOR_ON_BAT/ cCPU_SCALING_GOVERNOR_ON_BAT=performance' ~/.config/slimbookbattery/custom/equilibrado
elif test "$1" = "ondemand"; then
	sed -i '/CPU_SCALING_GOVERNOR_ON_BAT/ cCPU_SCALING_GOVERNOR_ON_BAT=ondemand' ~/.config/slimbookbattery/custom/equilibrado
elif test "$1" = "schedutil"; then
	sed -i '/CPU_SCALING_GOVERNOR_ON_BAT/ cCPU_SCALING_GOVERNOR_ON_BAT=schedutil' ~/.config/slimbookbattery/custom/equilibrado
elif test "$1" = "conservative"; then
	sed -i '/CPU_SCALING_GOVERNOR_ON_BAT/ cCPU_SCALING_GOVERNOR_ON_BAT=conservative' ~/.config/slimbookbattery/custom/equilibrado
fi
